# SPEC file overview:
# https://docs.fedoraproject.org/en-US/quick-docs/creating-rpm-packages/#con_rpm-spec-file-overview
# Fedora packaging guidelines:
# https://docs.fedoraproject.org/en-US/packaging-guidelines/


Name:		twmn
Version:	0.0.1
Release:	2%{?dist}
Summary:	A notification system for tiling window managers

License:	GPLv3
URL:		https://github.com/sboli/twmn
Source0:	https://github.com/sboli/twmn/archive/master.zip

BuildRequires:	boost,qt,qt5-qtx11extras,boost-devel,qt-devel,make,qt5-qtx11extras-devel
Requires:	boost,qt,qt5-qtx11extras

%description
A notification system for tiling window managers

%prep
%setup -q -n %{name}-master

%build
qmake-qt5
make %{?_smp_mflags}

%install
cd "%{_builddir}/%{name}-master"
mkdir -p %{buildroot}/%{bindir}
install -Dm755 "bin/%{name}c" "%{buildroot}/%{_bindir}/%{name}c"
install -Dm755 "bin/%{name}d" "%{buildroot}/%{_bindir}/%{name}d"
install -Dm644 "init/systemd/%{name}d.service" "%{buildroot}/usr/lib/systemd/user/%{name}d.service"


%files
%license
%{_bindir}/twmnc
%{_bindir}/twmnd
/usr/lib/systemd/user/twmnd.service

